Last Comment Bug 515461 - Update graphs.mozilla.org to latest hg changeset (075668c41652)
: Update graphs.mozilla.org to latest hg changeset (075668c41652)
Status: RESOLVED FIXED
09/17/2009
:
Product: Infrastructure & Operations
Classification: Other
Component: WebOps: Other (show other bugs)
: other
: All Other
: -- normal (vote)
: ---
Assigned To: Ryan Doherty (:rdoherty)
: matthew zeier [:mrz]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-09 13:25 PDT by Ryan Doherty (:rdoherty)
Modified: 2013-10-09 10:29 PDT (History)
2 users (show)
mzeier: needs‑downtime+
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---
Cab Review: ServiceNow Change Request (use flag)


Attachments

Description Ryan Doherty (:rdoherty) 2009-09-09 13:25:03 PDT
Can graphs.mozilla.org be updated to the latest changeset from hg.mozilla.org/graphs? (http://hg.mozilla.org/graphs/rev/075668c41652)

Update contains 1 significant change, a cron script that creates a cache file for the test list. 

Steps after updating:

* Create a folder named 'tmp' in docroot/server and chmod'd to 777.
* docroot/scripts/maintenance.py needs to be run every 1/2 hour.

This can be done during a normal Tues/Thurs IT maintenance window.
Comment 1 matthew zeier [:mrz] 2009-09-16 14:14:35 PDT
Fell off the downtime list - will do tomorrow night.
Comment 2 Aravind Gottipati [:aravind] 2009-09-17 20:09:27 PDT
All done, the hg update pulled in one changed file.  Cron job set to run every half hour.
Comment 3 Ryan Doherty (:rdoherty) 2009-09-21 10:23:28 PDT
re-opening. Code seems to have updated, but http://graphs.mozilla.org/api/test (warning, large file) is reporting test results are from the db instead of cache. ("from": "db")

My first guess is docroot/server/tmp is missing. Second is permissions aren't 777 on the folder. 

Running maintenance.py might output some errors.
Comment 4 Ryan Doherty (:rdoherty) 2009-09-21 14:19:06 PDT
Taking this to do some debugging. Running maintenance.py on prod produces no errors, but doesn't create the json file in tmp.
Comment 5 Ryan Doherty (:rdoherty) 2009-09-21 14:46:38 PDT
Fixed, cron job was updated

Note You need to log in before you can comment on or make changes to this bug.